package org.apache.bcel.util;

import java.io.ByteArrayInputStream;
import java.io.DataInputStream;

/* loaded from: org_apache_bcel_util.jar:org/apache/bcel/util/ByteSequence.class */
public final class ByteSequence extends DataInputStream {
    private final ByteArrayStream byteStream;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: org_apache_bcel_util.jar:org/apache/bcel/util/ByteSequence$ByteArrayStream.class */
    public static final class ByteArrayStream extends ByteArrayInputStream {
        ByteArrayStream(byte[] bytes) {
            super(bytes);
        }

        int getPosition() {
            return this.pos;
        }

        void unreadByte() {
            if (this.pos > 0) {
                this.pos--;
            }
        }
    }

    public ByteSequence(byte[] bytes) {
        super(new ByteArrayStream(bytes));
        this.byteStream = (ByteArrayStream) this.in;
    }

    public int getIndex() {
        return this.byteStream.getPosition();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void unreadByte() {
        this.byteStream.unreadByte();
    }
}
